# Poco::XML

# class NamespacePrefixesStrategy

Library: XML
Package: XML
Header: Poco/XML/NamespaceStrategy.h

## Description

The NamespaceStrategy implementation used if namespaces processing is requested and prefixes are reported.

## Inheritance

Direct Base Classes: NamespaceStrategy

All Base Classes: NamespaceStrategy

## Member Summary

Member Functions: endElement, startElement

Inherited Functions: endElement, splitName, startElement

## Constructors

### NamespacePrefixesStrategy

NamespacePrefixesStrategy();

## Destructor

### ~NamespacePrefixesStrategy

~NamespacePrefixesStrategy();

## Member Functions

### endElement

void endElement(
const XMLChar * name,
ContentHandler * pContentHandler
);

See also: Poco::XML::NamespaceStrategy::endElement()

### startElement

void startElement(
const XMLChar * name,
const XMLChar * * atts,
int specifiedCount,
ContentHandler * pContentHandler
);

See also: Poco::XML::NamespaceStrategy::startElement()